QGIS Application - Bug report #15124
MSSQL Float Fields Don't Allow Decimal Entry on Forms
2016-06-23 03:58 PM - Damien Smith

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Data Provider/MSSQL

Affected QGIS version:2.14.3 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 23065
Description

When editing data in an MSSQL table, the form (and browser) does not allow the user to enter a decimal point when editing "float" fields.

Numeric (decimal) fields are fine.

Associated revisions

Revision 71¢50513 - 2018-10-08 09:01 AM - Nyall Dawson

[mssql] Fix incorrect precision detection for double/float fields

Fixes #15124

History

#1 - 2016-06-24 02:17 PM - Andre Jesus

SQL SERVER 2016 and QGIS 2.14.3

Working fine here

#2 - 2016-06-26 03:35 PM - Damien Smith

This only occurs with the text edit widget. Tested with Lyon and Master and the problem also exists. The only workaround is to use a "range" widget but
then you have to know in advance the number of decimal places required.

Tried changing Locale.

Tested with Windows 7 SP1 x64, SQL 2012, SQL 2014.

#3 - 2016-07-08 06:05 AM - Andre Jesus

Damien Smith wrote:

This only occurs with the text edit widget.

This behavior happens since 2.8.x. I'm not sure why they made It like that but | think It's to force the user to use the correct decimal separator.
My workaround was:

You have to set It to "Range" / Editable / Min: 0,00 / Max: 9999,0 / Step 0,00

That way you can slide or type directly the value.

And remember to save the style as default so you don't need to do It every time you load the layer

#4 - 2017-05-01 01:05 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#5 - 2017-09-22 10:05 AM - Jiirgen Fischer
- Category set to Unknown

#6 - 2018-10-02 10:15 PM - Nyall Dawson
- Description updated
- Category changed from Unknown to Data Provider/MSSQL

#7 - 2018-10-08 07:14 AM - Nyall Dawson
- Status changed from Open to In Progress

- Assignee set to Nyall Dawson

#8 - 2018-10-08 09:00 AM - Nyall Dawson
- % Done changed from 0 to 100
- Status changed from In Progress to Closed

Applied in changeset commit:qgis|71c5051356d66a0acbde84f40679ab4ece4bf6bd.
